parameters:
  app.admin.logo: 'laclic.png'
  app.admin.logo_sidebar: 'laclic.png'
  app.site_name: 'laclic-sov'
  app.mail_debug: ''

services:
  _defaults:
    autowire: true      # Automatically injects dependencies in your services.
    autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

  Lc\SovBundle\:
    resource: '../../'
    exclude:
      - '../../DependencyInjection/'
      - '../../Entity/'
      - '../../Doctrine/QueryBuilder'
      - '../../Kernel.php'
      - '../../Tests/'

  Lc\SovBundle\Controller\:
    resource: '../../Controller/'
    tags: [ 'controller.service_arguments' ]

  Lc\SovBundle\Form\Common\CrudFormType:
    decorates: EasyCorp\Bundle\EasyAdminBundle\Form\Type\CrudFormType
    arguments: [ '@form.type_guesser.doctrine', '@.inner' ]


  Lc\SovBundle\Doctrine\EntityManager:
    public: false
    decoration_priority: 1
    decorates: doctrine.orm.default_entity_manager
    arguments: [ "@.inner" ]

#  Lc\SovBundle\Repository\EntityRepository:
#    decorates: EasyCorp\Bundle\EasyAdminBundle\Orm\EntityRepository
#    decoration_priority: 5
#    arguments: [ "@.inner", '@doctrine.orm.default_entity_manager', '@Knp\Component\Pager\PaginatorInterface' ]

  Lc\SovBundle\Maker\:
    resource: '../../Maker/'
    tags: [ 'maker.command' ]

  Lc\SovBundle\EventListener\ExceptionListener:
    tags:
      - { name: kernel.event_listener, event: kernel.exception }

#Form par défaut du cookie consent
  app.form.extension.type.cookie_consent:
    class: Lc\SovBundle\Form\Common\CookieConsentTypeExtension
    tags:
      - { name: form.type_extension, extended_type: ConnectHolland\CookieConsentBundle\Form\CookieConsentType }
    arguments:
      - '@ConnectHolland\CookieConsentBundle\Cookie\CookieChecker'
      - '%ch_cookie_consent.categories%'
      - '%ch_cookie_consent.simplified%'